Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007146TestLinkTest Executepublic2015-06-02 17:582015-09-19 08:49
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007146: Possibility to access Specific Execution Information in Print (Read Only) Mode
DescriptionWith 1.9.13 (and some previous versions) is possible access some reports & attachments without been logged in TestLink
This seems to be useful to provide access to this kind of data to people that do not have a TestLink login, or to add reference to TestLink info (example attachments) on other tool (example Issue Tracker System).

This implementation tries to provide a first answer to the request to be able to access specific execution information.

TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon direct-link.png [^] (85,792 bytes) 2015-06-14 12:23

- Relationships
related to 0007145closedfman direct link to test execution results page 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023429)
fman (administrator)
2015-06-02 18:42
edited on: 2015-06-02 18:47

Link Example
http://localhost/development/github/testlink-code/lnl.php? [^]id=9204&type=exec

id=EXEC ID
You can access the execution ID placing your mouse over the result cell of the execution history table, ID will be displayed using HTML td title attribute

(0023430)
fman (administrator)
2015-06-02 18:53

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/e0e83abbbf4138eb46cde3c89e050a8ff6875bb1 [^]
(0023500)
fman (administrator)
2015-06-14 12:26

when accessing from execution feature, the print view of an execution, the direct link to access the execution in PRINT VIEW read only without need to login in will be available at the bottom of the page
(0023501)
fman (administrator)
2015-06-14 12:27

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/cb0ccfe9480af9b7ab64b3542e4e6adf0b2f6bdd [^]
(0023923)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-06-02 17:58 fman New Issue
2015-06-02 17:58 fman Status new => assigned
2015-06-02 17:58 fman Assigned To => fman
2015-06-02 17:58 fman Relationship added related to 0007145
2015-06-02 18:42 fman Note Added: 0023429
2015-06-02 18:45 fman Note Edited: 0023429 View Revisions
2015-06-02 18:47 fman Note Edited: 0023429 View Revisions
2015-06-02 18:52 fman Relationship added child of 0006830
2015-06-02 18:53 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-06-02 18:53 fman Note Added: 0023430
2015-06-02 18:53 fman Status assigned => resolved
2015-06-02 18:53 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-06-02 18:53 fman Resolution open => fixed
2015-06-14 12:22 fman File Added: exec-link.png
2015-06-14 12:23 fman File Deleted: exec-link.png
2015-06-14 12:23 fman File Added: direct-link.png
2015-06-14 12:26 fman Note Added: 0023500
2015-06-14 12:27 fman Note Added: 0023501
2015-09-19 08:49 fman Note Added: 0023923
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker